<!DOCTYPE html>
<html lang="ru">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>нечто</title>
</head>

<body>



    <form>
        <input type="text" name="price" placeholder="Введите стоимость">
        <input type="text" name="number" placeholder="Введите количество">
        <button id="button1" onclick="return calc();"> Рассчитать стоимость </button>
    </form>
    <div id="result"> </div>
    <script defer src="calculator.js"> </script>
</body>

</html>